import React from 'react';
import { observer } from 'mobx-react';
import './HomePage.less';
import { getUrlParam } from "@/utils/utils.ts";
import store from "@/store/store.ts";
import Check from "@/pages/HomePage/Check/Check.tsx";
import Sign from "@/pages/HomePage/Sign/Sign.tsx";


@observer
class HomePage extends React.Component<any, any> {

  root: HTMLDivElement;

  componentDidMount() {
    store.updateIndex();
    store.queryTask()
    if (getUrlParam('inviteCode')) {
      store.doAssist()
    }
  }

  render() {
    const {  } = store.indexData
    return <div className="homepage" ref={(el) => this.root = el}>
      <div className="homeRoot">
        <div className="sign">

        </div>

        <Sign/>
        <Check/>

      </div>
    </div>;
  }
}

export default HomePage;
